%global pypi_name xkcdpass

Name:           python-%{pypi_name}
Version:        1.19.3
Release:        2%{?dist}
Summary:        A flexible and scriptable password generator which generates strong passphrases, inspired by XKCD 936

License:        CC By 3.0
URL:            https://github.com/redacted/XKCD-password-generator
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-mock

%description
A flexible and scriptable password generator which generates strong passphrases, inspired by XKCD 936:

$ xkcdpass
> correct horse battery staple

%package -n python3-%{pypi_name}
Summary:        %{summary} 3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A flexible and scriptable password generator which generates strong passphrases, inspired by XKCD 936:

$ xkcdpass
> correct horse battery staple

%prep
%setup -q -n XKCD-password-generator-xkcdpass-%{version}

%build
%py3_build


%install
%py3_install
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 xkcdpass.1 %{buildroot}%{_mandir}/man1

%check
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE.BSD
%{_bindir}/xkcdpass
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{_mandir}/man1/*

%changelog
* Thu Dec 16 2021 Josko Plazonic <plazonic@princeton.edu> - 1.19.3-2
- initial build
